/* eslint-disable @typescript-eslint/no-unused-vars */
import { createRouter, createWebHistory } from 'vue-router'
// import HomeView from '../views/HomeView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: () => import('../views/homePage.vue')
    },
    // 解决方案
    {
      path: '/solution',
      name: 'solution',
      component: () => import('../views/solution.vue')
    },
    // 产品中心
    {
      path: '/product',
      name: 'product',
      component: () => import('../views/product.vue'),
      children: [
        {
          path: 'productDetail',
          name: 'productDetail',
          component: () => import('../views/productDetail.vue')
        }
      ]
    },
    // 新闻中心
    {
      path: '/news',
      name: 'news',
      component: () => import('../views/news.vue')
    },
    // 关于我们
    {
      path: '/about',
      name: 'about',
      component: () => import('../views/about.vue')
    },
    // 联系我们
    {
      path: '/contact',
      name: 'contact',
      component: () => import('../views/contact.vue')
    }
  ],
  // eslint-disable-next-line no-unused-vars
  scrollBehavior(to, from, savedPosition) {
    if (to.hash) {
      return {
        el: to.hash,
        behavior: 'smooth'
      }
    }
    return { top: 0 }
  }
})

export default router
